Library-Stg

Library

v1OAS 3.0

REST Web Service that returns a list of NLB library details.

API Base URL
  • Server 1:https://openweb-api.stg.nlb.gov.sg/api/v1/Library/
Security
ApiKey (apiKey)

API Key

Getting library branches based on search criteria

This function may be used to retrieve library branches.

get
https://openweb-api.stg.nlb.gov.sg/api/v1/Library/GetBranches

Query Parameters

BranchCodesstring

branch code, comma separate for more than one filter

<= 150 characters

Example:AMKPL,BEPL

ListTypestring

choose from the given listing type, if empty, filter with active branch

onsite - active and visible on site branch

active - active branch

inactive - inactive branch

event - active and event type branch

location - active and location type branch

reservation - active and reservation type branch

rur-reservation - active and rur-reservation type branch

highlight - active and highlight type branch

Available values : onsite, active, inactive, event, location, reservation, highlight

Match pattern:^(onsite|active|inactive|event|location|reservation|rur-reservation|highlight)$

Default:active

Example:onsite

LibraryTypesstring

choose from the given library type, comma separate for more than one filter

PL - Public Library

NL - National Library

O - Other

RL - Regional Library

Available values : PL, NL, RL, O

<= 12 characters

Example:PL,NL

Interestsstring

interest id, comma separate for more than one filter

e.g: 87733333-4f9c-4e19-a4d0-0ac899eb63b8,44504444-fffe-4e11-8e9c-28fdaf16d06e

Example:87733333-4f9c-4e19-a4d0-0ac899eb63b8

Facilitiesstring

facility id, comma separate for more than one filter

e.g: 01c6dc68-27b0-4a47-bd9f-32222243d0fb,a6a5c6b6-9e48-4d9f-8140-3d42dc111112

Example:01c6dc68-27b0-4a47-bd9f-32222243d0fb

SortFieldsstring

Supported values are branchCode, branchName.

Note: Do URL encode the value.

  • Use prefix + or - to sort by ascending or descending and comma(,) separated for multiple sort fields.
  • +branchCode
  • -branchName

<= 50 characters

Example:+branchCode,+branchName

Response

application/json

OK

GetBranchesResponse

* Additional properties are NOT allowed.
totalRecordsinteger(int32)

Total number of records returned.

Example:20

branchesarray[object]
* Additional properties are NOT allowed.
Show Child Parameters
get/GetBranches
 
application/json

Activity

object
* Additional properties are NOT allowed.
activityIdstring

Activity code

Example:EVENT

activityNamestring

Activity name

Example:Event List

Example